> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/tutorials/working-with-date-attributes.md).

# Working with date attributes

The Collibra Platform uses [Unix timestamps](https://en.wikipedia.org/wiki/Unix_time) in milliseconds to store dates and time.

{% tabs %}
{% tab title="Example" icon="glasses-round" %}
December 30, 2021 is `1640822400000` in Unix timestamp in milliseconds
{% endtab %}
{% endtabs %}

When you interact with the Collibra Platform through an API, use the Unix timestamp in milliseconds to specify a date. In most cases, the date must be in UTC at midnight: hours, minutes, seconds and milliseconds set to `0`.

{% hint style="success" %}
Use [EpochConverter](https://www.epochconverter.com) to convert to and from Unix timestamps and find conversion code snippets.
{% endhint %}

An example where a timestamp is required is updating the expiration date of an asset through the Core REST API v2. The following call sets the value of an expiration date attribute to June 30, 2020.

```
curl -X PATCH \
	https://<your_dgc_environment_url>/rest/2.0/attributes/<your_attribute_uuid> \
	-H 'Content-Type: application/json' \
	-d '{
	"value": "1593475200000"
}'

```

{% hint style="info" %}
Values that do not represent a UTC time at midnight are invalid and trigger a "Value not allowed" error.
{% endhint %}

In some cases, the API allows variations, for example, as of Collibra 5.7, the REST Import API v2 and Collibra Connect also support ISO 8601 dates in UTC at midnight for date attributes.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/tutorials/working-with-date-attributes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
